Index: /branches/DataAnalysis Refactoring/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/SymbolicDataAnalysisProblem.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/SymbolicDataAnalysisProblem.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/SymbolicDataAnalysisProblem.cs	(revision 5733)
@@ -38,5 +38,5 @@
 namespace HeuristicLab.Problems.DataAnalysis.Symbolic {
   [StorableClass]
-  public abstract class SymbolicDataAnalysisProblem<T, U, V> : HeuristicOptimizationProblem<U, V>, ISymbolicDataAnalysisProblem, IStorableContent
+  public abstract class SymbolicDataAnalysisProblem<T, U, V> : HeuristicOptimizationProblem<U, V>, IDataAnalysisProblem, IStorableContent
     where T : class,IDataAnalysisProblemData
     where U : class, ISymbolicDataAnalysisEvaluator<T>
@@ -50,4 +50,7 @@
     private const string MaximumFunctionDefinitionsParameterName = "MaximumFunctionDefinitions";
     private const string MaximumFunctionArgumentsParameterName = "MaximumFunctionArguments";
+    private const string RelativeNumberOfEvaluatedSamples = "RelativeNumberOfEvaluatedSamples";
+    private const string FitnessCalculationPartitionParameterName = "FitnessCalculationPartition";
+    private const string ModelSelectionPartitionParamterName = "ModelSelectionPartition";
 
     private const string ProblemDataParameterDescription = "";
Index: /branches/DataAnalysis Refactoring/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Tests/SymbolicExpressionImporter.cs
===================================================================
--- /branches/DataAnalysis Refactoring/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Tests/SymbolicExpressionImporter.cs	(revision 5732)
+++ /branches/DataAnalysis Refactoring/HeuristicLab.Problems.DataAnalysis.Symbolic/3.4/Tests/SymbolicExpressionImporter.cs	(revision 5733)
@@ -76,6 +76,6 @@
       } else {
         // only a main branch was given => insert the main branch into the default tree template
-        root.AddSubTree(start);
-        start.AddSubTree(mainBranch);
+        root.AddSubtree(start);
+        start.AddSubtree(mainBranch);
       }
       return new SymbolicExpressionTree(root);
@@ -99,5 +99,5 @@
           tree = ParseDefun(tokens);
           while (!tokens.Peek().Equals(Token.RPAR)) {
-            tree.AddSubTree(ParseSexp(tokens));
+            tree.AddSubtree(ParseSexp(tokens));
           }
         } else if (tokens.Peek().StringValue.StartsWith(ARGSTART)) {
@@ -106,5 +106,5 @@
           tree = ParseInvoke(tokens);
           while (!tokens.Peek().Equals(Token.RPAR)) {
-            tree.AddSubTree(ParseSexp(tokens));
+            tree.AddSubtree(ParseSexp(tokens));
           }
         } else {
@@ -112,5 +112,5 @@
           tree = CreateTree(curToken);
           while (!tokens.Peek().Equals(Token.RPAR)) {
-            tree.AddSubTree(ParseSexp(tokens));
+            tree.AddSubtree(ParseSexp(tokens));
           }
         }
